Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\Persistence\Cache\Adapter\TransactionAwareAdapterInterface Interface Reference

Interface for cache adapter which is aware of persistence transactions. More...

Inheritance diagram for eZ\Publish\Core\Persistence\Cache\Adapter\TransactionAwareAdapterInterface:

## Public Member Functions
| beginTransaction ()
| Called when transaction starts. More...
| commitTransaction ()
| Called when transaction is committed. More...
| rollbackTransaction ()
| Called when transaction is rolled back. More...

## Detailed Description

Interface for cache adapter which is aware of persistence transactions.

It is used for deferring cache invalidation until transaction is committed to avoid race conditions due to shared cache pool vs isolated transactions.

Definition at line 21 of file TransactionAwareAdapterInterface.php.

## Member Function Documentation

## ◆ beginTransaction()

eZ\Publish\Core\Persistence\Cache\Adapter\TransactionAwareAdapterInterface::beginTransaction | ( |  | ) |

Called when transaction starts.

Implemented in eZ\Publish\Core\Persistence\Cache\Adapter\TransactionalInMemoryCacheAdapter.

## ◆ commitTransaction()

eZ\Publish\Core\Persistence\Cache\Adapter\TransactionAwareAdapterInterface::commitTransaction | ( |  | ) |

Called when transaction is committed.

WARNING: Must be called just AFTER database commit, to avoid theoretical cache pool race issues if done before.

Implemented in eZ\Publish\Core\Persistence\Cache\Adapter\TransactionalInMemoryCacheAdapter.

## ◆ rollbackTransaction()

eZ\Publish\Core\Persistence\Cache\Adapter\TransactionAwareAdapterInterface::rollbackTransaction | ( |  | ) |

Called when transaction is rolled back.

Implemented in eZ\Publish\Core\Persistence\Cache\Adapter\TransactionalInMemoryCacheAdapter.

The documentation for this interface was generated from the following file:

- TransactionAwareAdapterInterface.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.